var search_data = {"index":{"searchIndex":["aws","route53resolver","client","clientapi","errors","accessdeniedexception","conflictexception","internalserviceerrorexception","invalidnexttokenexception","invalidparameterexception","invalidpolicydocument","invalidrequestexception","invalidtagexception","limitexceededexception","resourceexistsexception","resourceinuseexception","resourcenotfoundexception","resourceunavailableexception","throttlingexception","unknownresourceexception","validationexception","resource","types","accessdeniedexception","associatefirewallrulegrouprequest","associatefirewallrulegroupresponse","associateresolverendpointipaddressrequest","associateresolverendpointipaddressresponse","associateresolverquerylogconfigrequest","associateresolverquerylogconfigresponse","associateresolverrulerequest","associateresolverruleresponse","conflictexception","createfirewalldomainlistrequest","createfirewalldomainlistresponse","createfirewallrulegrouprequest","createfirewallrulegroupresponse","createfirewallrulerequest","createfirewallruleresponse","createresolverendpointrequest","createresolverendpointresponse","createresolverquerylogconfigrequest","createresolverquerylogconfigresponse","createresolverrulerequest","createresolverruleresponse","deletefirewalldomainlistrequest","deletefirewalldomainlistresponse","deletefirewallrulegrouprequest","deletefirewallrulegroupresponse","deletefirewallrulerequest","deletefirewallruleresponse","deleteresolverendpointrequest","deleteresolverendpointresponse","deleteresolverquerylogconfigrequest","deleteresolverquerylogconfigresponse","deleteresolverrulerequest","deleteresolverruleresponse","disassociatefirewallrulegrouprequest","disassociatefirewallrulegroupresponse","disassociateresolverendpointipaddressrequest","disassociateresolverendpointipaddressresponse","disassociateresolverquerylogconfigrequest","disassociateresolverquerylogconfigresponse","disassociateresolverrulerequest","disassociateresolverruleresponse","filter","firewallconfig","firewalldomainlist","firewalldomainlistmetadata","firewallrule","firewallrulegroup","firewallrulegroupassociation","firewallrulegroupmetadata","getfirewallconfigrequest","getfirewallconfigresponse","getfirewalldomainlistrequest","getfirewalldomainlistresponse","getfirewallrulegroupassociationrequest","getfirewallrulegroupassociationresponse","getfirewallrulegrouppolicyrequest","getfirewallrulegrouppolicyresponse","getfirewallrulegrouprequest","getfirewallrulegroupresponse","getresolverdnssecconfigrequest","getresolverdnssecconfigresponse","getresolverendpointrequest","getresolverendpointresponse","getresolverquerylogconfigassociationrequest","getresolverquerylogconfigassociationresponse","getresolverquerylogconfigpolicyrequest","getresolverquerylogconfigpolicyresponse","getresolverquerylogconfigrequest","getresolverquerylogconfigresponse","getresolverruleassociationrequest","getresolverruleassociationresponse","getresolverrulepolicyrequest","getresolverrulepolicyresponse","getresolverrulerequest","getresolverruleresponse","importfirewalldomainsrequest","importfirewalldomainsresponse","internalserviceerrorexception","invalidnexttokenexception","invalidparameterexception","invalidpolicydocument","invalidrequestexception","invalidtagexception","ipaddressrequest","ipaddressresponse","ipaddressupdate","limitexceededexception","listfirewallconfigsrequest","listfirewallconfigsresponse","listfirewalldomainlistsrequest","listfirewalldomainlistsresponse","listfirewalldomainsrequest","listfirewalldomainsresponse","listfirewallrulegroupassociationsrequest","listfirewallrulegroupassociationsresponse","listfirewallrulegroupsrequest","listfirewallrulegroupsresponse","listfirewallrulesrequest","listfirewallrulesresponse","listresolverdnssecconfigsrequest","listresolverdnssecconfigsresponse","listresolverendpointipaddressesrequest","listresolverendpointipaddressesresponse","listresolverendpointsrequest","listresolverendpointsresponse","listresolverquerylogconfigassociationsrequest","listresolverquerylogconfigassociationsresponse","listresolverquerylogconfigsrequest","listresolverquerylogconfigsresponse","listresolverruleassociationsrequest","listresolverruleassociationsresponse","listresolverrulesrequest","listresolverrulesresponse","listtagsforresourcerequest","listtagsforresourceresponse","putfirewallrulegrouppolicyrequest","putfirewallrulegrouppolicyresponse","putresolverquerylogconfigpolicyrequest","putresolverquerylogconfigpolicyresponse","putresolverrulepolicyrequest","putresolverrulepolicyresponse","resolverdnssecconfig","resolverendpoint","resolverquerylogconfig","resolverquerylogconfigassociation","resolverrule","resolverruleassociation","resolverruleconfig","resourceexistsexception","resourceinuseexception","resourcenotfoundexception","resourceunavailableexception","tag","tagresourcerequest","tagresourceresponse","targetaddress","throttlingexception","unknownresourceexception","untagresourcerequest","untagresourceresponse","updatefirewallconfigrequest","updatefirewallconfigresponse","updatefirewalldomainsrequest","updatefirewalldomainsresponse","updatefirewallrulegroupassociationrequest","updatefirewallrulegroupassociationresponse","updatefirewallrulerequest","updatefirewallruleresponse","updateresolverdnssecconfigrequest","updateresolverdnssecconfigresponse","updateresolverendpointrequest","updateresolverendpointresponse","updateresolverrulerequest","updateresolverruleresponse","validationexception","associate_firewall_rule_group()","associate_resolver_endpoint_ip_address()","associate_resolver_query_log_config()","associate_resolver_rule()","build_request()","client()","create_firewall_domain_list()","create_firewall_rule()","create_firewall_rule_group()","create_resolver_endpoint()","create_resolver_query_log_config()","create_resolver_rule()","delete_firewall_domain_list()","delete_firewall_rule()","delete_firewall_rule_group()","delete_resolver_endpoint()","delete_resolver_query_log_config()","delete_resolver_rule()","disassociate_firewall_rule_group()","disassociate_resolver_endpoint_ip_address()","disassociate_resolver_query_log_config()","disassociate_resolver_rule()","errors_module()","field_name()","get_firewall_config()","get_firewall_domain_list()","get_firewall_rule_group()","get_firewall_rule_group_association()","get_firewall_rule_group_policy()","get_resolver_dnssec_config()","get_resolver_endpoint()","get_resolver_query_log_config()","get_resolver_query_log_config_association()","get_resolver_query_log_config_policy()","get_resolver_rule()","get_resolver_rule_association()","get_resolver_rule_policy()","import_firewall_domains()","list_firewall_configs()","list_firewall_domain_lists()","list_firewall_domains()","list_firewall_rule_group_associations()","list_firewall_rule_groups()","list_firewall_rules()","list_resolver_dnssec_configs()","list_resolver_endpoint_ip_addresses()","list_resolver_endpoints()","list_resolver_query_log_config_associations()","list_resolver_query_log_configs()","list_resolver_rule_associations()","list_resolver_rules()","list_tags_for_resource()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","message()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","put_firewall_rule_group_policy()","put_resolver_query_log_config_policy()","put_resolver_rule_policy()","resource_type()","resource_type()","resource_type()","resource_type()","resource_type()","tag_resource()","untag_resource()","update_firewall_config()","update_firewall_domains()","update_firewall_rule()","update_firewall_rule_group_association()","update_resolver_dnssec_config()","update_resolver_endpoint()","update_resolver_rule()","waiter_names()"],"longSearchIndex":["aws","aws::route53resolver","aws::route53resolver::client","aws::route53resolver::clientapi","aws::route53resolver::errors","aws::route53resolver::errors::accessdeniedexception","aws::route53resolver::errors::conflictexception","aws::route53resolver::errors::internalserviceerrorexception","aws::route53resolver::errors::invalidnexttokenexception","aws::route53resolver::errors::invalidparameterexception","aws::route53resolver::errors::invalidpolicydocument","aws::route53resolver::errors::invalidrequestexception","aws::route53resolver::errors::invalidtagexception","aws::route53resolver::errors::limitexceededexception","aws::route53resolver::errors::resourceexistsexception","aws::route53resolver::errors::resourceinuseexception","aws::route53resolver::errors::resourcenotfoundexception","aws::route53resolver::errors::resourceunavailableexception","aws::route53resolver::errors::throttlingexception","aws::route53resolver::errors::unknownresourceexception","aws::route53resolver::errors::validationexception","aws::route53resolver::resource","aws::route53resolver::types","aws::route53resolver::types::accessdeniedexception","aws::route53resolver::types::associatefirewallrulegrouprequest","aws::route53resolver::types::associatefirewallrulegroupresponse","aws::route53resolver::types::associateresolverendpointipaddressrequest","aws::route53resolver::types::associateresolverendpointipaddressresponse","aws::route53resolver::types::associateresolverquerylogconfigrequest","aws::route53resolver::types::associateresolverquerylogconfigresponse","aws::route53resolver::types::associateresolverrulerequest","aws::route53resolver::types::associateresolverruleresponse","aws::route53resolver::types::conflictexception","aws::route53resolver::types::createfirewalldomainlistrequest","aws::route53resolver::types::createfirewalldomainlistresponse","aws::route53resolver::types::createfirewallrulegrouprequest","aws::route53resolver::types::createfirewallrulegroupresponse","aws::route53resolver::types::createfirewallrulerequest","aws::route53resolver::types::createfirewallruleresponse","aws::route53resolver::types::createresolverendpointrequest","aws::route53resolver::types::createresolverendpointresponse","aws::route53resolver::types::createresolverquerylogconfigrequest","aws::route53resolver::types::createresolverquerylogconfigresponse","aws::route53resolver::types::createresolverrulerequest","aws::route53resolver::types::createresolverruleresponse","aws::route53resolver::types::deletefirewalldomainlistrequest","aws::route53resolver::types::deletefirewalldomainlistresponse","aws::route53resolver::types::deletefirewallrulegrouprequest","aws::route53resolver::types::deletefirewallrulegroupresponse","aws::route53resolver::types::deletefirewallrulerequest","aws::route53resolver::types::deletefirewallruleresponse","aws::route53resolver::types::deleteresolverendpointrequest","aws::route53resolver::types::deleteresolverendpointresponse","aws::route53resolver::types::deleteresolverquerylogconfigrequest","aws::route53resolver::types::deleteresolverquerylogconfigresponse","aws::route53resolver::types::deleteresolverrulerequest","aws::route53resolver::types::deleteresolverruleresponse","aws::route53resolver::types::disassociatefirewallrulegrouprequest","aws::route53resolver::types::disassociatefirewallrulegroupresponse","aws::route53resolver::types::disassociateresolverendpointipaddressrequest","aws::route53resolver::types::disassociateresolverendpointipaddressresponse","aws::route53resolver::types::disassociateresolverquerylogconfigrequest","aws::route53resolver::types::disassociateresolverquerylogconfigresponse","aws::route53resolver::types::disassociateresolverrulerequest","aws::route53resolver::types::disassociateresolverruleresponse","aws::route53resolver::types::filter","aws::route53resolver::types::firewallconfig","aws::route53resolver::types::firewalldomainlist","aws::route53resolver::types::firewalldomainlistmetadata","aws::route53resolver::types::firewallrule","aws::route53resolver::types::firewallrulegroup","aws::route53resolver::types::firewallrulegroupassociation","aws::route53resolver::types::firewallrulegroupmetadata","aws::route53resolver::types::getfirewallconfigrequest","aws::route53resolver::types::getfirewallconfigresponse","aws::route53resolver::types::getfirewalldomainlistrequest","aws::route53resolver::types::getfirewalldomainlistresponse","aws::route53resolver::types::getfirewallrulegroupassociationrequest","aws::route53resolver::types::getfirewallrulegroupassociationresponse","aws::route53resolver::types::getfirewallrulegrouppolicyrequest","aws::route53resolver::types::getfirewallrulegrouppolicyresponse","aws::route53resolver::types::getfirewallrulegrouprequest","aws::route53resolver::types::getfirewallrulegroupresponse","aws::route53resolver::types::getresolverdnssecconfigrequest","aws::route53resolver::types::getresolverdnssecconfigresponse","aws::route53resolver::types::getresolverendpointrequest","aws::route53resolver::types::getresolverendpointresponse","aws::route53resolver::types::getresolverquerylogconfigassociationrequest","aws::route53resolver::types::getresolverquerylogconfigassociationresponse","aws::route53resolver::types::getresolverquerylogconfigpolicyrequest","aws::route53resolver::types::getresolverquerylogconfigpolicyresponse","aws::route53resolver::types::getresolverquerylogconfigrequest","aws::route53resolver::types::getresolverquerylogconfigresponse","aws::route53resolver::types::getresolverruleassociationrequest","aws::route53resolver::types::getresolverruleassociationresponse","aws::route53resolver::types::getresolverrulepolicyrequest","aws::route53resolver::types::getresolverrulepolicyresponse","aws::route53resolver::types::getresolverrulerequest","aws::route53resolver::types::getresolverruleresponse","aws::route53resolver::types::importfirewalldomainsrequest","aws::route53resolver::types::importfirewalldomainsresponse","aws::route53resolver::types::internalserviceerrorexception","aws::route53resolver::types::invalidnexttokenexception","aws::route53resolver::types::invalidparameterexception","aws::route53resolver::types::invalidpolicydocument","aws::route53resolver::types::invalidrequestexception","aws::route53resolver::types::invalidtagexception","aws::route53resolver::types::ipaddressrequest","aws::route53resolver::types::ipaddressresponse","aws::route53resolver::types::ipaddressupdate","aws::route53resolver::types::limitexceededexception","aws::route53resolver::types::listfirewallconfigsrequest","aws::route53resolver::types::listfirewallconfigsresponse","aws::route53resolver::types::listfirewalldomainlistsrequest","aws::route53resolver::types::listfirewalldomainlistsresponse","aws::route53resolver::types::listfirewalldomainsrequest","aws::route53resolver::types::listfirewalldomainsresponse","aws::route53resolver::types::listfirewallrulegroupassociationsrequest","aws::route53resolver::types::listfirewallrulegroupassociationsresponse","aws::route53resolver::types::listfirewallrulegroupsrequest","aws::route53resolver::types::listfirewallrulegroupsresponse","aws::route53resolver::types::listfirewallrulesrequest","aws::route53resolver::types::listfirewallrulesresponse","aws::route53resolver::types::listresolverdnssecconfigsrequest","aws::route53resolver::types::listresolverdnssecconfigsresponse","aws::route53resolver::types::listresolverendpointipaddressesrequest","aws::route53resolver::types::listresolverendpointipaddressesresponse","aws::route53resolver::types::listresolverendpointsrequest","aws::route53resolver::types::listresolverendpointsresponse","aws::route53resolver::types::listresolverquerylogconfigassociationsrequest","aws::route53resolver::types::listresolverquerylogconfigassociationsresponse","aws::route53resolver::types::listresolverquerylogconfigsrequest","aws::route53resolver::types::listresolverquerylogconfigsresponse","aws::route53resolver::types::listresolverruleassociationsrequest","aws::route53resolver::types::listresolverruleassociationsresponse","aws::route53resolver::types::listresolverrulesrequest","aws::route53resolver::types::listresolverrulesresponse","aws::route53resolver::types::listtagsforresourcerequest","aws::route53resolver::types::listtagsforresourceresponse","aws::route53resolver::types::putfirewallrulegrouppolicyrequest","aws::route53resolver::types::putfirewallrulegrouppolicyresponse","aws::route53resolver::types::putresolverquerylogconfigpolicyrequest","aws::route53resolver::types::putresolverquerylogconfigpolicyresponse","aws::route53resolver::types::putresolverrulepolicyrequest","aws::route53resolver::types::putresolverrulepolicyresponse","aws::route53resolver::types::resolverdnssecconfig","aws::route53resolver::types::resolverendpoint","aws::route53resolver::types::resolverquerylogconfig","aws::route53resolver::types::resolverquerylogconfigassociation","aws::route53resolver::types::resolverrule","aws::route53resolver::types::resolverruleassociation","aws::route53resolver::types::resolverruleconfig","aws::route53resolver::types::resourceexistsexception","aws::route53resolver::types::resourceinuseexception","aws::route53resolver::types::resourcenotfoundexception","aws::route53resolver::types::resourceunavailableexception","aws::route53resolver::types::tag","aws::route53resolver::types::tagresourcerequest","aws::route53resolver::types::tagresourceresponse","aws::route53resolver::types::targetaddress","aws::route53resolver::types::throttlingexception","aws::route53resolver::types::unknownresourceexception","aws::route53resolver::types::untagresourcerequest","aws::route53resolver::types::untagresourceresponse","aws::route53resolver::types::updatefirewallconfigrequest","aws::route53resolver::types::updatefirewallconfigresponse","aws::route53resolver::types::updatefirewalldomainsrequest","aws::route53resolver::types::updatefirewalldomainsresponse","aws::route53resolver::types::updatefirewallrulegroupassociationrequest","aws::route53resolver::types::updatefirewallrulegroupassociationresponse","aws::route53resolver::types::updatefirewallrulerequest","aws::route53resolver::types::updatefirewallruleresponse","aws::route53resolver::types::updateresolverdnssecconfigrequest","aws::route53resolver::types::updateresolverdnssecconfigresponse","aws::route53resolver::types::updateresolverendpointrequest","aws::route53resolver::types::updateresolverendpointresponse","aws::route53resolver::types::updateresolverrulerequest","aws::route53resolver::types::updateresolverruleresponse","aws::route53resolver::types::validationexception","aws::route53resolver::client#associate_firewall_rule_group()","aws::route53resolver::client#associate_resolver_endpoint_ip_address()","aws::route53resolver::client#associate_resolver_query_log_config()","aws::route53resolver::client#associate_resolver_rule()","aws::route53resolver::client#build_request()","aws::route53resolver::resource#client()","aws::route53resolver::client#create_firewall_domain_list()","aws::route53resolver::client#create_firewall_rule()","aws::route53resolver::client#create_firewall_rule_group()","aws::route53resolver::client#create_resolver_endpoint()","aws::route53resolver::client#create_resolver_query_log_config()","aws::route53resolver::client#create_resolver_rule()","aws::route53resolver::client#delete_firewall_domain_list()","aws::route53resolver::client#delete_firewall_rule()","aws::route53resolver::client#delete_firewall_rule_group()","aws::route53resolver::client#delete_resolver_endpoint()","aws::route53resolver::client#delete_resolver_query_log_config()","aws::route53resolver::client#delete_resolver_rule()","aws::route53resolver::client#disassociate_firewall_rule_group()","aws::route53resolver::client#disassociate_resolver_endpoint_ip_address()","aws::route53resolver::client#disassociate_resolver_query_log_config()","aws::route53resolver::client#disassociate_resolver_rule()","aws::route53resolver::client::errors_module()","aws::route53resolver::errors::invalidparameterexception#field_name()","aws::route53resolver::client#get_firewall_config()","aws::route53resolver::client#get_firewall_domain_list()","aws::route53resolver::client#get_firewall_rule_group()","aws::route53resolver::client#get_firewall_rule_group_association()","aws::route53resolver::client#get_firewall_rule_group_policy()","aws::route53resolver::client#get_resolver_dnssec_config()","aws::route53resolver::client#get_resolver_endpoint()","aws::route53resolver::client#get_resolver_query_log_config()","aws::route53resolver::client#get_resolver_query_log_config_association()","aws::route53resolver::client#get_resolver_query_log_config_policy()","aws::route53resolver::client#get_resolver_rule()","aws::route53resolver::client#get_resolver_rule_association()","aws::route53resolver::client#get_resolver_rule_policy()","aws::route53resolver::client#import_firewall_domains()","aws::route53resolver::client#list_firewall_configs()","aws::route53resolver::client#list_firewall_domain_lists()","aws::route53resolver::client#list_firewall_domains()","aws::route53resolver::client#list_firewall_rule_group_associations()","aws::route53resolver::client#list_firewall_rule_groups()","aws::route53resolver::client#list_firewall_rules()","aws::route53resolver::client#list_resolver_dnssec_configs()","aws::route53resolver::client#list_resolver_endpoint_ip_addresses()","aws::route53resolver::client#list_resolver_endpoints()","aws::route53resolver::client#list_resolver_query_log_config_associations()","aws::route53resolver::client#list_resolver_query_log_configs()","aws::route53resolver::client#list_resolver_rule_associations()","aws::route53resolver::client#list_resolver_rules()","aws::route53resolver::client#list_tags_for_resource()","aws::route53resolver::errors::accessdeniedexception#message()","aws::route53resolver::errors::conflictexception#message()","aws::route53resolver::errors::internalserviceerrorexception#message()","aws::route53resolver::errors::invalidnexttokenexception#message()","aws::route53resolver::errors::invalidparameterexception#message()","aws::route53resolver::errors::invalidpolicydocument#message()","aws::route53resolver::errors::invalidrequestexception#message()","aws::route53resolver::errors::invalidtagexception#message()","aws::route53resolver::errors::limitexceededexception#message()","aws::route53resolver::errors::resourceexistsexception#message()","aws::route53resolver::errors::resourceinuseexception#message()","aws::route53resolver::errors::resourcenotfoundexception#message()","aws::route53resolver::errors::resourceunavailableexception#message()","aws::route53resolver::errors::throttlingexception#message()","aws::route53resolver::errors::unknownresourceexception#message()","aws::route53resolver::errors::validationexception#message()","aws::route53resolver::client::new()","aws::route53resolver::errors::accessdeniedexception::new()","aws::route53resolver::errors::conflictexception::new()","aws::route53resolver::errors::internalserviceerrorexception::new()","aws::route53resolver::errors::invalidnexttokenexception::new()","aws::route53resolver::errors::invalidparameterexception::new()","aws::route53resolver::errors::invalidpolicydocument::new()","aws::route53resolver::errors::invalidrequestexception::new()","aws::route53resolver::errors::invalidtagexception::new()","aws::route53resolver::errors::limitexceededexception::new()","aws::route53resolver::errors::resourceexistsexception::new()","aws::route53resolver::errors::resourceinuseexception::new()","aws::route53resolver::errors::resourcenotfoundexception::new()","aws::route53resolver::errors::resourceunavailableexception::new()","aws::route53resolver::errors::throttlingexception::new()","aws::route53resolver::errors::unknownresourceexception::new()","aws::route53resolver::errors::validationexception::new()","aws::route53resolver::resource::new()","aws::route53resolver::client#put_firewall_rule_group_policy()","aws::route53resolver::client#put_resolver_query_log_config_policy()","aws::route53resolver::client#put_resolver_rule_policy()","aws::route53resolver::errors::limitexceededexception#resource_type()","aws::route53resolver::errors::resourceexistsexception#resource_type()","aws::route53resolver::errors::resourceinuseexception#resource_type()","aws::route53resolver::errors::resourcenotfoundexception#resource_type()","aws::route53resolver::errors::resourceunavailableexception#resource_type()","aws::route53resolver::client#tag_resource()","aws::route53resolver::client#untag_resource()","aws::route53resolver::client#update_firewall_config()","aws::route53resolver::client#update_firewall_domains()","aws::route53resolver::client#update_firewall_rule()","aws::route53resolver::client#update_firewall_rule_group_association()","aws::route53resolver::client#update_resolver_dnssec_config()","aws::route53resolver::client#update_resolver_endpoint()","aws::route53resolver::client#update_resolver_rule()","aws::route53resolver::client#waiter_names()"],"info":[["Aws","","Aws.html","",""],["Aws::Route53Resolver","","Aws/Route53Resolver.html","","<p>This module provides support for Amazon Route 53 Resolver. This module is available in the `aws-sdk-route53resolver` …\n"],["Aws::Route53Resolver::Client","","Aws/Route53Resolver/Client.html","","<p>An API client for Route53Resolver.  To construct a client, you need to configure a `:region` and `:credentials`. …\n"],["Aws::Route53Resolver::ClientApi","","Aws/Route53Resolver/ClientApi.html","","<p>@api private\n"],["Aws::Route53Resolver::Errors","","Aws/Route53Resolver/Errors.html","","<p>When Route53Resolver returns an error response, the Ruby SDK constructs and raises an error. These errors …\n"],["Aws::Route53Resolver::Errors::AccessDeniedException","","Aws/Route53Resolver/Errors/AccessDeniedException.html","",""],["Aws::Route53Resolver::Errors::ConflictException","","Aws/Route53Resolver/Errors/ConflictException.html","",""],["Aws::Route53Resolver::Errors::InternalServiceErrorException","","Aws/Route53Resolver/Errors/InternalServiceErrorException.html","",""],["Aws::Route53Resolver::Errors::InvalidNextTokenException","","Aws/Route53Resolver/Errors/InvalidNextTokenException.html","",""],["Aws::Route53Resolver::Errors::InvalidParameterException","","Aws/Route53Resolver/Errors/InvalidParameterException.html","",""],["Aws::Route53Resolver::Errors::InvalidPolicyDocument","","Aws/Route53Resolver/Errors/InvalidPolicyDocument.html","",""],["Aws::Route53Resolver::Errors::InvalidRequestException","","Aws/Route53Resolver/Errors/InvalidRequestException.html","",""],["Aws::Route53Resolver::Errors::InvalidTagException","","Aws/Route53Resolver/Errors/InvalidTagException.html","",""],["Aws::Route53Resolver::Errors::LimitExceededException","","Aws/Route53Resolver/Errors/LimitExceededException.html","",""],["Aws::Route53Resolver::Errors::ResourceExistsException","","Aws/Route53Resolver/Errors/ResourceExistsException.html","",""],["Aws::Route53Resolver::Errors::ResourceInUseException","","Aws/Route53Resolver/Errors/ResourceInUseException.html","",""],["Aws::Route53Resolver::Errors::ResourceNotFoundException","","Aws/Route53Resolver/Errors/ResourceNotFoundException.html","",""],["Aws::Route53Resolver::Errors::ResourceUnavailableException","","Aws/Route53Resolver/Errors/ResourceUnavailableException.html","",""],["Aws::Route53Resolver::Errors::ThrottlingException","","Aws/Route53Resolver/Errors/ThrottlingException.html","",""],["Aws::Route53Resolver::Errors::UnknownResourceException","","Aws/Route53Resolver/Errors/UnknownResourceException.html","",""],["Aws::Route53Resolver::Errors::ValidationException","","Aws/Route53Resolver/Errors/ValidationException.html","",""],["Aws::Route53Resolver::Resource","","Aws/Route53Resolver/Resource.html","",""],["Aws::Route53Resolver::Types","","Aws/Route53Resolver/Types.html","",""],["Aws::Route53Resolver::Types::AccessDeniedException","","Aws/Route53Resolver/Types/AccessDeniedException.html","","<p>The current account doesn&#39;t have the IAM permissions required to perform the specified Resolver operation. …\n"],["Aws::Route53Resolver::Types::AssociateFirewallRuleGroupRequest","","Aws/Route53Resolver/Types/AssociateFirewallRuleGroupRequest.html","","<p>@note When making an API call, you may pass AssociateFirewallRuleGroupRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateFirewallRuleGroupResponse","","Aws/Route53Resolver/Types/AssociateFirewallRuleGroupResponse.html","","<p>@!attribute [rw] firewall_rule_group_association\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">association</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-identifier\">you</span> <span class=\"ruby-identifier\">just</span> <span class=\"ruby-identifier\">created</span>. <span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">association</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverEndpointIpAddressRequest","","Aws/Route53Resolver/Types/AssociateResolverEndpointIpAddressRequest.html","","<p>@note When making an API call, you may pass AssociateResolverEndpointIpAddressRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverEndpointIpAddressResponse","","Aws/Route53Resolver/Types/AssociateResolverEndpointIpAddressResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>The response to an `AssociateResolverEndpointIpAddress` request.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverQueryLogConfigRequest","","Aws/Route53Resolver/Types/AssociateResolverQueryLogConfigRequest.html","","<p>@note When making an API call, you may pass AssociateResolverQueryLogConfigRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverQueryLogConfigResponse","","Aws/Route53Resolver/Types/AssociateResolverQueryLogConfigResponse.html","","<p>@!attribute [rw] resolver_query_log_config_association\n\n<pre>A complex type that contains settings for a specified ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverRuleRequest","","Aws/Route53Resolver/Types/AssociateResolverRuleRequest.html","","<p>@note When making an API call, you may pass AssociateResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::AssociateResolverRuleResponse","","Aws/Route53Resolver/Types/AssociateResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule_association\n\n<pre>Information about the `AssociateResolverRule` request, including ...</pre>\n"],["Aws::Route53Resolver::Types::ConflictException","","Aws/Route53Resolver/Types/ConflictException.html","","<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n<p>@see docs.aws.amazon.com/goto/WebAPI/route53resolver-2018-04-01/ConflictException …\n"],["Aws::Route53Resolver::Types::CreateFirewallDomainListRequest","","Aws/Route53Resolver/Types/CreateFirewallDomainListRequest.html","","<p>@note When making an API call, you may pass CreateFirewallDomainListRequest\n\n<pre>data as a hash:\n\n    {\n   ...</pre>\n"],["Aws::Route53Resolver::Types::CreateFirewallDomainListResponse","","Aws/Route53Resolver/Types/CreateFirewallDomainListResponse.html","","<p>@!attribute [rw] firewall_domain_list\n\n<pre>The domain list that you just created.\n@return [Types::FirewallDomainList]</pre>\n"],["Aws::Route53Resolver::Types::CreateFirewallRuleGroupRequest","","Aws/Route53Resolver/Types/CreateFirewallRuleGroupRequest.html","","<p>@note When making an API call, you may pass CreateFirewallRuleGroupRequest\n\n<pre>data as a hash:\n\n    {\n    ...</pre>\n"],["Aws::Route53Resolver::Types::CreateFirewallRuleGroupResponse","","Aws/Route53Resolver/Types/CreateFirewallRuleGroupResponse.html","","<p>@!attribute [rw] firewall_rule_group\n\n<pre>A collection of rules used to filter DNS network traffic.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::CreateFirewallRuleRequest","","Aws/Route53Resolver/Types/CreateFirewallRuleRequest.html","","<p>@note When making an API call, you may pass CreateFirewallRuleRequest\n\n<pre>data as a hash:\n\n    {\n      creator_request_id: ...</pre>\n"],["Aws::Route53Resolver::Types::CreateFirewallRuleResponse","","Aws/Route53Resolver/Types/CreateFirewallRuleResponse.html","","<p>@!attribute [rw] firewall_rule\n\n<pre>The firewall rule that you just created.\n@return [Types::FirewallRule]</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverEndpointRequest","","Aws/Route53Resolver/Types/CreateResolverEndpointRequest.html","","<p>@note When making an API call, you may pass CreateResolverEndpointRequest\n\n<pre>data as a hash:\n\n    {\n     ...</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverEndpointResponse","","Aws/Route53Resolver/Types/CreateResolverEndpointResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>Information about the `CreateResolverEndpoint` request, including\nthe ...</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverQueryLogConfigRequest","","Aws/Route53Resolver/Types/CreateResolverQueryLogConfigRequest.html","","<p>@note When making an API call, you may pass CreateResolverQueryLogConfigRequest\n\n<pre>data as a hash:\n\n    { ...</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverQueryLogConfigResponse","","Aws/Route53Resolver/Types/CreateResolverQueryLogConfigResponse.html","","<p>@!attribute [rw] resolver_query_log_config\n\n<pre>Information about the `CreateResolverQueryLogConfig` request, ...</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverRuleRequest","","Aws/Route53Resolver/Types/CreateResolverRuleRequest.html","","<p>@note When making an API call, you may pass CreateResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n      creator_request_id: ...</pre>\n"],["Aws::Route53Resolver::Types::CreateResolverRuleResponse","","Aws/Route53Resolver/Types/CreateResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule\n\n<pre>Information about the `CreateResolverRule` request, including the\nstatus ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallDomainListRequest","","Aws/Route53Resolver/Types/DeleteFirewallDomainListRequest.html","","<p>@note When making an API call, you may pass DeleteFirewallDomainListRequest\n\n<pre>data as a hash:\n\n    {\n   ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallDomainListResponse","","Aws/Route53Resolver/Types/DeleteFirewallDomainListResponse.html","","<p>@!attribute [rw] firewall_domain_list\n\n<pre>The domain list that you just deleted.\n@return [Types::FirewallDomainList]</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallRuleGroupRequest","","Aws/Route53Resolver/Types/DeleteFirewallRuleGroupRequest.html","","<p>@note When making an API call, you may pass DeleteFirewallRuleGroupRequest\n\n<pre>data as a hash:\n\n    {\n    ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallRuleGroupResponse","","Aws/Route53Resolver/Types/DeleteFirewallRuleGroupResponse.html","","<p>@!attribute [rw] firewall_rule_group\n\n<pre>A collection of rules used to filter DNS network traffic.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallRuleRequest","","Aws/Route53Resolver/Types/DeleteFirewallRuleRequest.html","","<p>@note When making an API call, you may pass DeleteFirewallRuleRequest\n\n<pre>data as a hash:\n\n    {\n      firewall_rule_group_id: ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteFirewallRuleResponse","","Aws/Route53Resolver/Types/DeleteFirewallRuleResponse.html","","<p>@!attribute [rw] firewall_rule\n\n<pre>The specification for the firewall rule that you just deleted.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverEndpointRequest","","Aws/Route53Resolver/Types/DeleteResolverEndpointRequest.html","","<p>@note When making an API call, you may pass DeleteResolverEndpointRequest\n\n<pre>data as a hash:\n\n    {\n     ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverEndpointResponse","","Aws/Route53Resolver/Types/DeleteResolverEndpointResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>Information about the `DeleteResolverEndpoint` request, including\nthe ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverQueryLogConfigRequest","","Aws/Route53Resolver/Types/DeleteResolverQueryLogConfigRequest.html","","<p>@note When making an API call, you may pass DeleteResolverQueryLogConfigRequest\n\n<pre>data as a hash:\n\n    { ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverQueryLogConfigResponse","","Aws/Route53Resolver/Types/DeleteResolverQueryLogConfigResponse.html","","<p>@!attribute [rw] resolver_query_log_config\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">query</span> <span class=\"ruby-identifier\">logging</span> <span class=\"ruby-identifier\">configuration</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-identifier\">you</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverRuleRequest","","Aws/Route53Resolver/Types/DeleteResolverRuleRequest.html","","<p>@note When making an API call, you may pass DeleteResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n      resolver_rule_id: ...</pre>\n"],["Aws::Route53Resolver::Types::DeleteResolverRuleResponse","","Aws/Route53Resolver/Types/DeleteResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule\n\n<pre>Information about the `DeleteResolverRule` request, including the\nstatus ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateFirewallRuleGroupRequest","","Aws/Route53Resolver/Types/DisassociateFirewallRuleGroupRequest.html","","<p>@note When making an API call, you may pass DisassociateFirewallRuleGroupRequest\n\n<pre>data as a hash:\n\n    ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateFirewallRuleGroupResponse","","Aws/Route53Resolver/Types/DisassociateFirewallRuleGroupResponse.html","","<p>@!attribute [rw] firewall_rule_group_association\n\n<pre>The firewall rule group association that you just removed. ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverEndpointIpAddressRequest","","Aws/Route53Resolver/Types/DisassociateResolverEndpointIpAddressRequest.html","","<p>@note When making an API call, you may pass DisassociateResolverEndpointIpAddressRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverEndpointIpAddressResponse","","Aws/Route53Resolver/Types/DisassociateResolverEndpointIpAddressResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>The response to an `DisassociateResolverEndpointIpAddress` request. ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverQueryLogConfigRequest","","Aws/Route53Resolver/Types/DisassociateResolverQueryLogConfigRequest.html","","<p>@note When making an API call, you may pass DisassociateResolverQueryLogConfigRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverQueryLogConfigResponse","","Aws/Route53Resolver/Types/DisassociateResolverQueryLogConfigResponse.html","","<p>@!attribute [rw] resolver_query_log_config_association\n\n<pre>A complex type that contains settings for the association ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverRuleRequest","","Aws/Route53Resolver/Types/DisassociateResolverRuleRequest.html","","<p>@note When making an API call, you may pass DisassociateResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n   ...</pre>\n"],["Aws::Route53Resolver::Types::DisassociateResolverRuleResponse","","Aws/Route53Resolver/Types/DisassociateResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule_association\n\n<pre>Information about the `DisassociateResolverRule` request, including ...</pre>\n"],["Aws::Route53Resolver::Types::Filter","","Aws/Route53Resolver/Types/Filter.html","","<p>For Resolver list operations ([ListResolverEndpoints], [ListResolverRules], [ListResolverRuleAssociations] …\n"],["Aws::Route53Resolver::Types::FirewallConfig","","Aws/Route53Resolver/Types/FirewallConfig.html","","<p>Configuration of the firewall behavior provided by DNS Firewall for a single VPC from Amazon Virtual …\n"],["Aws::Route53Resolver::Types::FirewallDomainList","","Aws/Route53Resolver/Types/FirewallDomainList.html","","<p>High-level information about a list of firewall domains for use in a FirewallRule. This is returned by …\n"],["Aws::Route53Resolver::Types::FirewallDomainListMetadata","","Aws/Route53Resolver/Types/FirewallDomainListMetadata.html","","<p>Minimal high-level information for a firewall domain list. The action ListFirewallDomainLists returns …\n"],["Aws::Route53Resolver::Types::FirewallRule","","Aws/Route53Resolver/Types/FirewallRule.html","","<p>A single firewall rule in a rule group.\n<p>@!attribute [rw] firewall_rule_group_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">unique</span> <span class=\"ruby-identifier\">identifier</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::FirewallRuleGroup","","Aws/Route53Resolver/Types/FirewallRuleGroup.html","","<p>High-level information for a firewall rule group. A firewall rule group is a collection of rules that …\n"],["Aws::Route53Resolver::Types::FirewallRuleGroupAssociation","","Aws/Route53Resolver/Types/FirewallRuleGroupAssociation.html","","<p>An association between a firewall rule group and a VPC, which enables DNS filtering for the VPC.\n<p>@!attribute …\n"],["Aws::Route53Resolver::Types::FirewallRuleGroupMetadata","","Aws/Route53Resolver/Types/FirewallRuleGroupMetadata.html","","<p>Minimal high-level information for a firewall rule group. The action ListFirewallRuleGroups returns an …\n"],["Aws::Route53Resolver::Types::GetFirewallConfigRequest","","Aws/Route53Resolver/Types/GetFirewallConfigRequest.html","","<p>@note When making an API call, you may pass GetFirewallConfigRequest\n\n<pre>data as a hash:\n\n    {\n      resource_id: ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallConfigResponse","","Aws/Route53Resolver/Types/GetFirewallConfigResponse.html","","<p>@!attribute [rw] firewall_config\n\n<pre>Configuration of the firewall behavior provided by DNS Firewall for\na ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallDomainListRequest","","Aws/Route53Resolver/Types/GetFirewallDomainListRequest.html","","<p>@note When making an API call, you may pass GetFirewallDomainListRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallDomainListResponse","","Aws/Route53Resolver/Types/GetFirewallDomainListResponse.html","","<p>@!attribute [rw] firewall_domain_list\n\n<pre>The domain list that you requested.\n@return [Types::FirewallDomainList]</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupAssociationRequest","","Aws/Route53Resolver/Types/GetFirewallRuleGroupAssociationRequest.html","","<p>@note When making an API call, you may pass GetFirewallRuleGroupAssociationRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupAssociationResponse","","Aws/Route53Resolver/Types/GetFirewallRuleGroupAssociationResponse.html","","<p>@!attribute [rw] firewall_rule_group_association\n\n<pre>The association that you requested.\n@return [Types::FirewallRuleGroupAssociation]</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupPolicyRequest","","Aws/Route53Resolver/Types/GetFirewallRuleGroupPolicyRequest.html","","<p>@note When making an API call, you may pass GetFirewallRuleGroupPolicyRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupPolicyResponse","","Aws/Route53Resolver/Types/GetFirewallRuleGroupPolicyResponse.html","","<p>@!attribute [rw] firewall_rule_group_policy\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-constant\">Identity</span> <span class=\"ruby-keyword\">and</span> <span class=\"ruby-constant\">Access</span> <span class=\"ruby-constant\">Management</span> (<span class=\"ruby-constant\">Amazon</span> <span class=\"ruby-constant\">Web</span> <span class=\"ruby-constant\">Services</span> <span class=\"ruby-constant\">IAM</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupRequest","","Aws/Route53Resolver/Types/GetFirewallRuleGroupRequest.html","","<p>@note When making an API call, you may pass GetFirewallRuleGroupRequest\n\n<pre>data as a hash:\n\n    {\n      firewall_rule_group_id: ...</pre>\n"],["Aws::Route53Resolver::Types::GetFirewallRuleGroupResponse","","Aws/Route53Resolver/Types/GetFirewallRuleGroupResponse.html","","<p>@!attribute [rw] firewall_rule_group\n\n<pre>A collection of rules used to filter DNS network traffic.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverDnssecConfigRequest","","Aws/Route53Resolver/Types/GetResolverDnssecConfigRequest.html","","<p>@note When making an API call, you may pass GetResolverDnssecConfigRequest\n\n<pre>data as a hash:\n\n    {\n    ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverDnssecConfigResponse","","Aws/Route53Resolver/Types/GetResolverDnssecConfigResponse.html","","<p>@!attribute [rw] resolver_dnssec_config\n\n<pre>The information about a configuration for DNSSEC validation.\n@return ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverEndpointRequest","","Aws/Route53Resolver/Types/GetResolverEndpointRequest.html","","<p>@note When making an API call, you may pass GetResolverEndpointRequest\n\n<pre>data as a hash:\n\n    {\n      resolver_endpoint_id: ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverEndpointResponse","","Aws/Route53Resolver/Types/GetResolverEndpointResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>Information about the Resolver endpoint that you specified in a\n`GetResolverEndpoint` ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigAssociationRequest","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigAssociationRequest.html","","<p>@note When making an API call, you may pass GetResolverQueryLogConfigAssociationRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigAssociationResponse","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigAssociationResponse.html","","<p>@!attribute [rw] resolver_query_log_config_association\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">Resolver</span> <span class=\"ruby-identifier\">query</span> <span class=\"ruby-identifier\">logging</span> <span class=\"ruby-identifier\">configuration</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigPolicyRequest","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigPolicyRequest.html","","<p>@note When making an API call, you may pass GetResolverQueryLogConfigPolicyRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigPolicyResponse","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigPolicyResponse.html","","<p>@!attribute [rw] resolver_query_log_config_policy\n\n<pre>Information about the query logging policy for the query ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigRequest","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigRequest.html","","<p>@note When making an API call, you may pass GetResolverQueryLogConfigRequest\n\n<pre>data as a hash:\n\n    {\n  ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverQueryLogConfigResponse","","Aws/Route53Resolver/Types/GetResolverQueryLogConfigResponse.html","","<p>@!attribute [rw] resolver_query_log_config\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">Resolver</span> <span class=\"ruby-identifier\">query</span> <span class=\"ruby-identifier\">logging</span> <span class=\"ruby-identifier\">configuration</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRuleAssociationRequest","","Aws/Route53Resolver/Types/GetResolverRuleAssociationRequest.html","","<p>@note When making an API call, you may pass GetResolverRuleAssociationRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRuleAssociationResponse","","Aws/Route53Resolver/Types/GetResolverRuleAssociationResponse.html","","<p>@!attribute [rw] resolver_rule_association\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Information</span> <span class=\"ruby-identifier\">about</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">Resolver</span> <span class=\"ruby-identifier\">rule</span> <span class=\"ruby-identifier\">association</span> <span class=\"ruby-identifier\">that</span> <span class=\"ruby-identifier\">you</span> <span class=\"ruby-identifier\">specified</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRulePolicyRequest","","Aws/Route53Resolver/Types/GetResolverRulePolicyRequest.html","","<p>@note When making an API call, you may pass GetResolverRulePolicyRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRulePolicyResponse","","Aws/Route53Resolver/Types/GetResolverRulePolicyResponse.html","","<p>@!attribute [rw] resolver_rule_policy\n\n<pre>The Resolver rule policy for the rule that you specified in a\n`GetResolverRulePolicy` ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRuleRequest","","Aws/Route53Resolver/Types/GetResolverRuleRequest.html","","<p>@note When making an API call, you may pass GetResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n      resolver_rule_id: ...</pre>\n"],["Aws::Route53Resolver::Types::GetResolverRuleResponse","","Aws/Route53Resolver/Types/GetResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule\n\n<pre>Information about the Resolver rule that you specified in a\n`GetResolverRule` ...</pre>\n"],["Aws::Route53Resolver::Types::ImportFirewallDomainsRequest","","Aws/Route53Resolver/Types/ImportFirewallDomainsRequest.html","","<p>@note When making an API call, you may pass ImportFirewallDomainsRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::ImportFirewallDomainsResponse","","Aws/Route53Resolver/Types/ImportFirewallDomainsResponse.html","","<p>@!attribute [rw] id\n\n<pre>The Id of the firewall domain list that DNS Firewall just updated.\n@return [String]</pre>\n"],["Aws::Route53Resolver::Types::InternalServiceErrorException","","Aws/Route53Resolver/Types/InternalServiceErrorException.html","","<p>We encountered an unknown error. Try again in a few minutes.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::InvalidNextTokenException","","Aws/Route53Resolver/Types/InvalidNextTokenException.html","","<p>The value that you specified for `NextToken` in a `List` request isn&#39;t valid.\n<p>@!attribute [rw] message …\n"],["Aws::Route53Resolver::Types::InvalidParameterException","","Aws/Route53Resolver/Types/InvalidParameterException.html","","<p>One or more parameters in this request are not valid.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::InvalidPolicyDocument","","Aws/Route53Resolver/Types/InvalidPolicyDocument.html","","<p>The specified Resolver rule policy is invalid.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::InvalidRequestException","","Aws/Route53Resolver/Types/InvalidRequestException.html","","<p>The request is invalid.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::InvalidTagException","","Aws/Route53Resolver/Types/InvalidTagException.html","","<p>The specified tag is invalid.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::IpAddressRequest","","Aws/Route53Resolver/Types/IpAddressRequest.html","","<p>In a [CreateResolverEndpoint] request, the IP address that DNS queries originate from (for outbound endpoints) …\n"],["Aws::Route53Resolver::Types::IpAddressResponse","","Aws/Route53Resolver/Types/IpAddressResponse.html","","<p>In the response to a [GetResolverEndpoint] request, information about the IP addresses that the Resolver …\n"],["Aws::Route53Resolver::Types::IpAddressUpdate","","Aws/Route53Resolver/Types/IpAddressUpdate.html","","<p>In an [UpdateResolverEndpoint] request, information about an IP address to update.\n<p>[1]: docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateResolverEndpoint.html …\n"],["Aws::Route53Resolver::Types::LimitExceededException","","Aws/Route53Resolver/Types/LimitExceededException.html","","<p>The request caused one or more limits to be exceeded.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallConfigsRequest","","Aws/Route53Resolver/Types/ListFirewallConfigsRequest.html","","<p>@note When making an API call, you may pass ListFirewallConfigsRequest\n\n<pre>data as a hash:\n\n    {\n      max_results: ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallConfigsResponse","","Aws/Route53Resolver/Types/ListFirewallConfigsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallDomainListsRequest","","Aws/Route53Resolver/Types/ListFirewallDomainListsRequest.html","","<p>@note When making an API call, you may pass ListFirewallDomainListsRequest\n\n<pre>data as a hash:\n\n    {\n    ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallDomainListsResponse","","Aws/Route53Resolver/Types/ListFirewallDomainListsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallDomainsRequest","","Aws/Route53Resolver/Types/ListFirewallDomainsRequest.html","","<p>@note When making an API call, you may pass ListFirewallDomainsRequest\n\n<pre>data as a hash:\n\n    {\n      firewall_domain_list_id: ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallDomainsResponse","","Aws/Route53Resolver/Types/ListFirewallDomainsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRuleGroupAssociationsRequest","","Aws/Route53Resolver/Types/ListFirewallRuleGroupAssociationsRequest.html","","<p>@note When making an API call, you may pass ListFirewallRuleGroupAssociationsRequest\n\n<pre>data as a hash:\n ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRuleGroupAssociationsResponse","","Aws/Route53Resolver/Types/ListFirewallRuleGroupAssociationsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRuleGroupsRequest","","Aws/Route53Resolver/Types/ListFirewallRuleGroupsRequest.html","","<p>@note When making an API call, you may pass ListFirewallRuleGroupsRequest\n\n<pre>data as a hash:\n\n    {\n     ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRuleGroupsResponse","","Aws/Route53Resolver/Types/ListFirewallRuleGroupsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRulesRequest","","Aws/Route53Resolver/Types/ListFirewallRulesRequest.html","","<p>@note When making an API call, you may pass ListFirewallRulesRequest\n\n<pre>data as a hash:\n\n    {\n      firewall_rule_group_id: ...</pre>\n"],["Aws::Route53Resolver::Types::ListFirewallRulesResponse","","Aws/Route53Resolver/Types/ListFirewallRulesResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If objects are still available for retrieval, Resolver returns this\ntoken ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverDnssecConfigsRequest","","Aws/Route53Resolver/Types/ListResolverDnssecConfigsRequest.html","","<p>@note When making an API call, you may pass ListResolverDnssecConfigsRequest\n\n<pre>data as a hash:\n\n    {\n  ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverDnssecConfigsResponse","","Aws/Route53Resolver/Types/ListResolverDnssecConfigsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">If</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-identifier\">response</span> <span class=\"ruby-identifier\">includes</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">last</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-constant\">DNSSEC</span> <span class=\"ruby-identifier\">configurations</span> <span class=\"ruby-identifier\">that</span>\n<span class=\"ruby-identifier\">are</span> <span class=\"ruby-identifier\">associated</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::ListResolverEndpointIpAddressesRequest","","Aws/Route53Resolver/Types/ListResolverEndpointIpAddressesRequest.html","","<p>@note When making an API call, you may pass ListResolverEndpointIpAddressesRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverEndpointIpAddressesResponse","","Aws/Route53Resolver/Types/ListResolverEndpointIpAddressesResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If the specified endpoint has more than `MaxResults` IP addresses,\nyou can ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverEndpointsRequest","","Aws/Route53Resolver/Types/ListResolverEndpointsRequest.html","","<p>@note When making an API call, you may pass ListResolverEndpointsRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverEndpointsResponse","","Aws/Route53Resolver/Types/ListResolverEndpointsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If more than `MaxResults` IP addresses match the specified criteria,\nyou can ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverQueryLogConfigAssociationsRequest","","Aws/Route53Resolver/Types/ListResolverQueryLogConfigAssociationsRequest.html","","<p>@note When making an API call, you may pass ListResolverQueryLogConfigAssociationsRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverQueryLogConfigAssociationsResponse","","Aws/Route53Resolver/Types/ListResolverQueryLogConfigAssociationsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If there are more than `MaxResults` query logging associations, you\ncan submit ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverQueryLogConfigsRequest","","Aws/Route53Resolver/Types/ListResolverQueryLogConfigsRequest.html","","<p>@note When making an API call, you may pass ListResolverQueryLogConfigsRequest\n\n<pre>data as a hash:\n\n    { ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverQueryLogConfigsResponse","","Aws/Route53Resolver/Types/ListResolverQueryLogConfigsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If there are more than `MaxResults` query logging configurations,\nyou can ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverRuleAssociationsRequest","","Aws/Route53Resolver/Types/ListResolverRuleAssociationsRequest.html","","<p>@note When making an API call, you may pass ListResolverRuleAssociationsRequest\n\n<pre>data as a hash:\n\n    { ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverRuleAssociationsResponse","","Aws/Route53Resolver/Types/ListResolverRuleAssociationsResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If more than `MaxResults` rule associations match the specified\ncriteria, ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverRulesRequest","","Aws/Route53Resolver/Types/ListResolverRulesRequest.html","","<p>@note When making an API call, you may pass ListResolverRulesRequest\n\n<pre>data as a hash:\n\n    {\n      max_results: ...</pre>\n"],["Aws::Route53Resolver::Types::ListResolverRulesResponse","","Aws/Route53Resolver/Types/ListResolverRulesResponse.html","","<p>@!attribute [rw] next_token\n\n<pre>If more than `MaxResults` Resolver rules match the specified\ncriteria, you ...</pre>\n"],["Aws::Route53Resolver::Types::ListTagsForResourceRequest","","Aws/Route53Resolver/Types/ListTagsForResourceRequest.html","","<p>@note When making an API call, you may pass ListTagsForResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_arn: ...</pre>\n"],["Aws::Route53Resolver::Types::ListTagsForResourceResponse","","Aws/Route53Resolver/Types/ListTagsForResourceResponse.html","","<p>@!attribute [rw] tags\n\n<pre>The tags that are associated with the resource that you specified in\nthe `ListTagsForResource` ...</pre>\n"],["Aws::Route53Resolver::Types::PutFirewallRuleGroupPolicyRequest","","Aws/Route53Resolver/Types/PutFirewallRuleGroupPolicyRequest.html","","<p>@note When making an API call, you may pass PutFirewallRuleGroupPolicyRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Route53Resolver::Types::PutFirewallRuleGroupPolicyResponse","","Aws/Route53Resolver/Types/PutFirewallRuleGroupPolicyResponse.html","","<p>@!attribute [rw] return_value\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">Boolean</span>]\n</pre>\n<p>@see docs.aws.amazon.com/goto/WebAPI/route53resolver-2018-04-01/PutFirewallRuleGroupPolicyResponse …\n"],["Aws::Route53Resolver::Types::PutResolverQueryLogConfigPolicyRequest","","Aws/Route53Resolver/Types/PutResolverQueryLogConfigPolicyRequest.html","","<p>@note When making an API call, you may pass PutResolverQueryLogConfigPolicyRequest\n\n<pre>data as a hash:\n\n  ...</pre>\n"],["Aws::Route53Resolver::Types::PutResolverQueryLogConfigPolicyResponse","","Aws/Route53Resolver/Types/PutResolverQueryLogConfigPolicyResponse.html","","<p>The response to a `PutResolverQueryLogConfigPolicy` request.\n<p>@!attribute [rw] return_value\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Whether</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::PutResolverRulePolicyRequest","","Aws/Route53Resolver/Types/PutResolverRulePolicyRequest.html","","<p>@note When making an API call, you may pass PutResolverRulePolicyRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::PutResolverRulePolicyResponse","","Aws/Route53Resolver/Types/PutResolverRulePolicyResponse.html","","<p>The response to a `PutResolverRulePolicy` request.\n<p>@!attribute [rw] return_value\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Whether</span> <span class=\"ruby-identifier\">the</span> <span class=\"ruby-string\">`PutResolverRulePolicy`</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["Aws::Route53Resolver::Types::ResolverDnssecConfig","","Aws/Route53Resolver/Types/ResolverDnssecConfig.html","","<p>A complex type that contains information about a configuration for DNSSEC validation.\n<p>@!attribute [rw] …\n"],["Aws::Route53Resolver::Types::ResolverEndpoint","","Aws/Route53Resolver/Types/ResolverEndpoint.html","","<p>In the response to a [CreateResolverEndpoint], [DeleteResolverEndpoint], [GetResolverEndpoint],\n<p>ListResolverEndpoints] … &mdash; "],["Aws::Route53Resolver::Types::ResolverQueryLogConfig","","Aws/Route53Resolver/Types/ResolverQueryLogConfig.html","","<p>In the response to a [CreateResolverQueryLogConfig], [DeleteResolverQueryLogConfig], [GetResolverQueryLogConfig] …\n"],["Aws::Route53Resolver::Types::ResolverQueryLogConfigAssociation","","Aws/Route53Resolver/Types/ResolverQueryLogConfigAssociation.html","","<p>In the response to an [AssociateResolverQueryLogConfig], [DisassociateResolverQueryLogConfig], [GetResolverQueryLogConfigAssociation] …\n"],["Aws::Route53Resolver::Types::ResolverRule","","Aws/Route53Resolver/Types/ResolverRule.html","","<p>For queries that originate in your VPC, detailed information about a Resolver rule, which specifies how …\n"],["Aws::Route53Resolver::Types::ResolverRuleAssociation","","Aws/Route53Resolver/Types/ResolverRuleAssociation.html","","<p>In the response to an [AssociateResolverRule],\n<p>DisassociateResolverRule], or [ListResolverRuleAssociations][3 … &mdash; "],["Aws::Route53Resolver::Types::ResolverRuleConfig","","Aws/Route53Resolver/Types/ResolverRuleConfig.html","","<p>In an [UpdateResolverRule] request, information about the changes that you want to make.\n<p>[1]: docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_UpdateResolverRule.html …\n"],["Aws::Route53Resolver::Types::ResourceExistsException","","Aws/Route53Resolver/Types/ResourceExistsException.html","","<p>The resource that you tried to create already exists.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::ResourceInUseException","","Aws/Route53Resolver/Types/ResourceInUseException.html","","<p>The resource that you tried to update or delete is currently in use.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::ResourceNotFoundException","","Aws/Route53Resolver/Types/ResourceNotFoundException.html","","<p>The specified resource doesn&#39;t exist.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::ResourceUnavailableException","","Aws/Route53Resolver/Types/ResourceUnavailableException.html","","<p>The specified resource isn&#39;t available.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::Tag","","Aws/Route53Resolver/Types/Tag.html","","<p>One tag that you want to add to the specified resource. A tag consists of a `Key` (a name for the tag) …\n"],["Aws::Route53Resolver::Types::TagResourceRequest","","Aws/Route53Resolver/Types/TagResourceRequest.html","","<p>@note When making an API call, you may pass TagResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_arn: ...</pre>\n"],["Aws::Route53Resolver::Types::TagResourceResponse","","Aws/Route53Resolver/Types/TagResourceResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/route53resolver-2018-04-01/TagResourceResponse AWS API Documentation …\n"],["Aws::Route53Resolver::Types::TargetAddress","","Aws/Route53Resolver/Types/TargetAddress.html","","<p>In a [CreateResolverRule] request, an array of the IPs that you want to forward DNS queries to.\n<p>[1]:  …\n"],["Aws::Route53Resolver::Types::ThrottlingException","","Aws/Route53Resolver/Types/ThrottlingException.html","","<p>The request was throttled. Try again in a few minutes.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::UnknownResourceException","","Aws/Route53Resolver/Types/UnknownResourceException.html","","<p>The specified resource doesn&#39;t exist.\n<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n"],["Aws::Route53Resolver::Types::UntagResourceRequest","","Aws/Route53Resolver/Types/UntagResourceRequest.html","","<p>@note When making an API call, you may pass UntagResourceRequest\n\n<pre>data as a hash:\n\n    {\n      resource_arn: ...</pre>\n"],["Aws::Route53Resolver::Types::UntagResourceResponse","","Aws/Route53Resolver/Types/UntagResourceResponse.html","","<p>@see docs.aws.amazon.com/goto/WebAPI/route53resolver-2018-04-01/UntagResourceResponse AWS API Documentation …\n"],["Aws::Route53Resolver::Types::UpdateFirewallConfigRequest","","Aws/Route53Resolver/Types/UpdateFirewallConfigRequest.html","","<p>@note When making an API call, you may pass UpdateFirewallConfigRequest\n\n<pre>data as a hash:\n\n    {\n      resource_id: ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallConfigResponse","","Aws/Route53Resolver/Types/UpdateFirewallConfigResponse.html","","<p>@!attribute [rw] firewall_config\n\n<pre>Configuration of the firewall behavior provided by DNS Firewall for\na ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallDomainsRequest","","Aws/Route53Resolver/Types/UpdateFirewallDomainsRequest.html","","<p>@note When making an API call, you may pass UpdateFirewallDomainsRequest\n\n<pre>data as a hash:\n\n    {\n      ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallDomainsResponse","","Aws/Route53Resolver/Types/UpdateFirewallDomainsResponse.html","","<p>@!attribute [rw] id\n\n<pre>The ID of the firewall domain list that DNS Firewall just updated.\n@return [String]</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallRuleGroupAssociationRequest","","Aws/Route53Resolver/Types/UpdateFirewallRuleGroupAssociationRequest.html","","<p>@note When making an API call, you may pass UpdateFirewallRuleGroupAssociationRequest\n\n<pre>data as a hash: ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallRuleGroupAssociationResponse","","Aws/Route53Resolver/Types/UpdateFirewallRuleGroupAssociationResponse.html","","<p>@!attribute [rw] firewall_rule_group_association\n\n<pre>The association that you just updated.\n@return [Types::FirewallRuleGroupAssociation]</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallRuleRequest","","Aws/Route53Resolver/Types/UpdateFirewallRuleRequest.html","","<p>@note When making an API call, you may pass UpdateFirewallRuleRequest\n\n<pre>data as a hash:\n\n    {\n      firewall_rule_group_id: ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateFirewallRuleResponse","","Aws/Route53Resolver/Types/UpdateFirewallRuleResponse.html","","<p>@!attribute [rw] firewall_rule\n\n<pre>The firewall rule that you just updated.\n@return [Types::FirewallRule]</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverDnssecConfigRequest","","Aws/Route53Resolver/Types/UpdateResolverDnssecConfigRequest.html","","<p>@note When making an API call, you may pass UpdateResolverDnssecConfigRequest\n\n<pre>data as a hash:\n\n    {\n ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverDnssecConfigResponse","","Aws/Route53Resolver/Types/UpdateResolverDnssecConfigResponse.html","","<p>@!attribute [rw] resolver_dnssec_config\n\n<pre>A complex type that contains settings for the specified DNSSEC ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverEndpointRequest","","Aws/Route53Resolver/Types/UpdateResolverEndpointRequest.html","","<p>@note When making an API call, you may pass UpdateResolverEndpointRequest\n\n<pre>data as a hash:\n\n    {\n     ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverEndpointResponse","","Aws/Route53Resolver/Types/UpdateResolverEndpointResponse.html","","<p>@!attribute [rw] resolver_endpoint\n\n<pre>The response to an `UpdateResolverEndpoint` request.\n@return [Types::ResolverEndpoint]</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverRuleRequest","","Aws/Route53Resolver/Types/UpdateResolverRuleRequest.html","","<p>@note When making an API call, you may pass UpdateResolverRuleRequest\n\n<pre>data as a hash:\n\n    {\n      resolver_rule_id: ...</pre>\n"],["Aws::Route53Resolver::Types::UpdateResolverRuleResponse","","Aws/Route53Resolver/Types/UpdateResolverRuleResponse.html","","<p>@!attribute [rw] resolver_rule\n\n<pre>The response to an `UpdateResolverRule` request.\n@return [Types::ResolverRule]</pre>\n"],["Aws::Route53Resolver::Types::ValidationException","","Aws/Route53Resolver/Types/ValidationException.html","","<p>@!attribute [rw] message\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@return</span> [<span class=\"ruby-constant\">String</span>]\n</pre>\n<p>@see docs.aws.amazon.com/goto/WebAPI/route53resolver-2018-04-01/ValidationException …\n"],["associate_firewall_rule_group","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-associate_firewall_rule_group","(params = {}, options = {})","<p>Associates a FirewallRuleGroup with a VPC, to provide DNS filtering for the VPC.\n<p>@option params [required, …\n"],["associate_resolver_endpoint_ip_address","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-associate_resolver_endpoint_ip_address","(params = {}, options = {})","<p>Adds IP addresses to an inbound or an outbound Resolver endpoint. If you want to add more than one IP …\n"],["associate_resolver_query_log_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-associate_resolver_query_log_config","(params = {}, options = {})","<p>Associates an Amazon VPC with a specified query logging configuration. Route 53 Resolver logs DNS queries …\n"],["associate_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-associate_resolver_rule","(params = {}, options = {})","<p>Associates a Resolver rule with a VPC. When you associate a rule with a VPC, Resolver forwards all DNS …\n"],["build_request","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-build_request","(operation_name, params = {})","<p>@param params ({}) @api private\n"],["client","Aws::Route53Resolver::Resource","Aws/Route53Resolver/Resource.html#method-i-client","()","<p>@return [Client]\n"],["create_firewall_domain_list","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_firewall_domain_list","(params = {}, options = {})","<p>Creates an empty firewall domain list for use in DNS Firewall rules. You can populate the domains for …\n"],["create_firewall_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_firewall_rule","(params = {}, options = {})","<p>Creates a single DNS Firewall rule in the specified rule group, using the specified domain list.\n<p>@option …\n"],["create_firewall_rule_group","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_firewall_rule_group","(params = {}, options = {})","<p>Creates an empty DNS Firewall rule group for filtering DNS network traffic in a VPC. You can add rules …\n"],["create_resolver_endpoint","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_resolver_endpoint","(params = {}, options = {})","<p>Creates a Resolver endpoint. There are two types of Resolver endpoints, inbound and outbound:\n<p>An *inbound …\n"],["create_resolver_query_log_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_resolver_query_log_config","(params = {}, options = {})","<p>Creates a Resolver query logging configuration, which defines where you want Resolver to save DNS query …\n"],["create_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-create_resolver_rule","(params = {}, options = {})","<p>For DNS queries that originate in your VPCs, specifies which Resolver endpoint the queries pass through, …\n"],["delete_firewall_domain_list","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_firewall_domain_list","(params = {}, options = {})","<p>Deletes the specified domain list.\n<p>@option params [required, String] :firewall_domain_list_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-constant\">ID</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["delete_firewall_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_firewall_rule","(params = {}, options = {})","<p>Deletes the specified firewall rule.\n<p>@option params [required, String] :firewall_rule_group_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">unique</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["delete_firewall_rule_group","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_firewall_rule_group","(params = {}, options = {})","<p>Deletes the specified firewall rule group.\n<p>@option params [required, String] :firewall_rule_group_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["delete_resolver_endpoint","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_resolver_endpoint","(params = {}, options = {})","<p>Deletes a Resolver endpoint. The effect of deleting a Resolver endpoint depends on whether it&#39;s an …\n"],["delete_resolver_query_log_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_resolver_query_log_config","(params = {}, options = {})","<p>Deletes a query logging configuration. When you delete a configuration, Resolver stops logging DNS queries …\n"],["delete_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-delete_resolver_rule","(params = {}, options = {})","<p>Deletes a Resolver rule. Before you can delete a Resolver rule, you must disassociate it from all the …\n"],["disassociate_firewall_rule_group","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-disassociate_firewall_rule_group","(params = {}, options = {})","<p>Disassociates a FirewallRuleGroup from a VPC, to remove DNS filtering from the VPC.\n<p>@option params [required, …\n"],["disassociate_resolver_endpoint_ip_address","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-disassociate_resolver_endpoint_ip_address","(params = {}, options = {})","<p>Removes IP addresses from an inbound or an outbound Resolver endpoint. If you want to remove more than …\n"],["disassociate_resolver_query_log_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-disassociate_resolver_query_log_config","(params = {}, options = {})","<p>Disassociates a VPC from a query logging configuration.\n<p>&lt;note markdown=“1”&gt; Before you …\n"],["disassociate_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-disassociate_resolver_rule","(params = {}, options = {})","<p>Removes the association between a specified Resolver rule and a specified VPC.\n<p>If you disassociate a  …\n"],["errors_module","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-c-errors_module","()","<p>@api private\n"],["field_name","Aws::Route53Resolver::Errors::InvalidParameterException","Aws/Route53Resolver/Errors/InvalidParameterException.html#method-i-field_name","()","<p>@return [String]\n"],["get_firewall_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_firewall_config","(params = {}, options = {})","<p>Retrieves the configuration of the firewall behavior provided by DNS Firewall for a single VPC from  …\n"],["get_firewall_domain_list","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_firewall_domain_list","(params = {}, options = {})","<p>Retrieves the specified firewall domain list.\n<p>@option params [required, String] :firewall_domain_list_id …\n"],["get_firewall_rule_group","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_firewall_rule_group","(params = {}, options = {})","<p>Retrieves the specified firewall rule group.\n<p>@option params [required, String] :firewall_rule_group_id …\n"],["get_firewall_rule_group_association","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_firewall_rule_group_association","(params = {}, options = {})","<p>Retrieves a firewall rule group association, which enables DNS filtering for a VPC with one rule group. …\n"],["get_firewall_rule_group_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_firewall_rule_group_policy","(params = {}, options = {})","<p>Returns the Identity and Access Management (Amazon Web Services IAM) policy for sharing the specified …\n"],["get_resolver_dnssec_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_dnssec_config","(params = {}, options = {})","<p>Gets DNSSEC validation information for a specified resource.\n<p>@option params [required, String] :resource_id …\n"],["get_resolver_endpoint","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_endpoint","(params = {}, options = {})","<p>Gets information about a specified Resolver endpoint, such as whether it&#39;s an inbound or an outbound …\n"],["get_resolver_query_log_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_query_log_config","(params = {}, options = {})","<p>Gets information about a specified Resolver query logging configuration, such as the number of VPCs that …\n"],["get_resolver_query_log_config_association","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_query_log_config_association","(params = {}, options = {})","<p>Gets information about a specified association between a Resolver query logging configuration and an …\n"],["get_resolver_query_log_config_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_query_log_config_policy","(params = {}, options = {})","<p>Gets information about a query logging policy. A query logging policy specifies the Resolver query logging …\n"],["get_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_rule","(params = {}, options = {})","<p>Gets information about a specified Resolver rule, such as the domain name that the rule forwards DNS …\n"],["get_resolver_rule_association","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_rule_association","(params = {}, options = {})","<p>Gets information about an association between a specified Resolver rule and a VPC. You associate a Resolver …\n"],["get_resolver_rule_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-get_resolver_rule_policy","(params = {}, options = {})","<p>Gets information about the Resolver rule policy for a specified rule. A Resolver rule policy includes …\n"],["import_firewall_domains","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-import_firewall_domains","(params = {}, options = {})","<p>Imports domain names from a file into a domain list, for use in a DNS firewall rule group.\n<p>Each domain …\n"],["list_firewall_configs","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_configs","(params = {}, options = {})","<p>Retrieves the firewall configurations that you have defined. DNS Firewall uses the configurations to …\n"],["list_firewall_domain_lists","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_domain_lists","(params = {}, options = {})","<p>Retrieves the firewall domain lists that you have defined. For each firewall domain list, you can retrieve …\n"],["list_firewall_domains","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_domains","(params = {}, options = {})","<p>Retrieves the domains that you have defined for the specified firewall domain list.\n<p>A single call might …\n"],["list_firewall_rule_group_associations","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_rule_group_associations","(params = {}, options = {})","<p>Retrieves the firewall rule group associations that you have defined. Each association enables DNS filtering …\n"],["list_firewall_rule_groups","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_rule_groups","(params = {}, options = {})","<p>Retrieves the minimal high-level information for the rule groups that you have defined.\n<p>A single call …\n"],["list_firewall_rules","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_firewall_rules","(params = {}, options = {})","<p>Retrieves the firewall rules that you have defined for the specified firewall rule group. DNS Firewall …\n"],["list_resolver_dnssec_configs","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_dnssec_configs","(params = {}, options = {})","<p>Lists the configurations for DNSSEC validation that are associated with the current Amazon Web Services …\n"],["list_resolver_endpoint_ip_addresses","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_endpoint_ip_addresses","(params = {}, options = {})","<p>Gets the IP addresses for a specified Resolver endpoint.\n<p>@option params [required, String] :resolver_endpoint_id …\n"],["list_resolver_endpoints","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_endpoints","(params = {}, options = {})","<p>Lists all the Resolver endpoints that were created using the current Amazon Web Services account.\n<p>@option …\n"],["list_resolver_query_log_config_associations","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_query_log_config_associations","(params = {}, options = {})","<p>Lists information about associations between Amazon VPCs and query logging configurations.\n<p>@option params …\n"],["list_resolver_query_log_configs","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_query_log_configs","(params = {}, options = {})","<p>Lists information about the specified query logging configurations. Each configuration defines where …\n"],["list_resolver_rule_associations","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_rule_associations","(params = {}, options = {})","<p>Lists the associations that were created between Resolver rules and VPCs using the current Amazon Web …\n"],["list_resolver_rules","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_resolver_rules","(params = {}, options = {})","<p>Lists the Resolver rules that were created using the current Amazon Web Services account.\n<p>@option params …\n"],["list_tags_for_resource","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-list_tags_for_resource","(params = {}, options = {})","<p>Lists the tags that you associated with the specified resource.\n<p>@option params [required, String] :resource_arn …\n"],["message","Aws::Route53Resolver::Errors::AccessDeniedException","Aws/Route53Resolver/Errors/AccessDeniedException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ConflictException","Aws/Route53Resolver/Errors/ConflictException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InternalServiceErrorException","Aws/Route53Resolver/Errors/InternalServiceErrorException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InvalidNextTokenException","Aws/Route53Resolver/Errors/InvalidNextTokenException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InvalidParameterException","Aws/Route53Resolver/Errors/InvalidParameterException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InvalidPolicyDocument","Aws/Route53Resolver/Errors/InvalidPolicyDocument.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InvalidRequestException","Aws/Route53Resolver/Errors/InvalidRequestException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::InvalidTagException","Aws/Route53Resolver/Errors/InvalidTagException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::LimitExceededException","Aws/Route53Resolver/Errors/LimitExceededException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ResourceExistsException","Aws/Route53Resolver/Errors/ResourceExistsException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ResourceInUseException","Aws/Route53Resolver/Errors/ResourceInUseException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ResourceNotFoundException","Aws/Route53Resolver/Errors/ResourceNotFoundException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ResourceUnavailableException","Aws/Route53Resolver/Errors/ResourceUnavailableException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ThrottlingException","Aws/Route53Resolver/Errors/ThrottlingException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::UnknownResourceException","Aws/Route53Resolver/Errors/UnknownResourceException.html#method-i-message","()","<p>@return [String]\n"],["message","Aws::Route53Resolver::Errors::ValidationException","Aws/Route53Resolver/Errors/ValidationException.html#method-i-message","()","<p>@return [String]\n"],["new","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-c-new","(*args)","<p>@overload initialize(options)\n\n<pre>@param [Hash] options\n@option options [required, Aws::CredentialProvider] ...</pre>\n"],["new","Aws::Route53Resolver::Errors::AccessDeniedException","Aws/Route53Resolver/Errors/AccessDeniedException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::AccessDeniedException] …\n"],["new","Aws::Route53Resolver::Errors::ConflictException","Aws/Route53Resolver/Errors/ConflictException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ConflictException] …\n"],["new","Aws::Route53Resolver::Errors::InternalServiceErrorException","Aws/Route53Resolver/Errors/InternalServiceErrorException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InternalServiceErrorException] …\n"],["new","Aws::Route53Resolver::Errors::InvalidNextTokenException","Aws/Route53Resolver/Errors/InvalidNextTokenException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InvalidNextTokenException] …\n"],["new","Aws::Route53Resolver::Errors::InvalidParameterException","Aws/Route53Resolver/Errors/InvalidParameterException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InvalidParameterException] …\n"],["new","Aws::Route53Resolver::Errors::InvalidPolicyDocument","Aws/Route53Resolver/Errors/InvalidPolicyDocument.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InvalidPolicyDocument] …\n"],["new","Aws::Route53Resolver::Errors::InvalidRequestException","Aws/Route53Resolver/Errors/InvalidRequestException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InvalidRequestException] …\n"],["new","Aws::Route53Resolver::Errors::InvalidTagException","Aws/Route53Resolver/Errors/InvalidTagException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::InvalidTagException] …\n"],["new","Aws::Route53Resolver::Errors::LimitExceededException","Aws/Route53Resolver/Errors/LimitExceededException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::LimitExceededException] …\n"],["new","Aws::Route53Resolver::Errors::ResourceExistsException","Aws/Route53Resolver/Errors/ResourceExistsException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ResourceExistsException] …\n"],["new","Aws::Route53Resolver::Errors::ResourceInUseException","Aws/Route53Resolver/Errors/ResourceInUseException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ResourceInUseException] …\n"],["new","Aws::Route53Resolver::Errors::ResourceNotFoundException","Aws/Route53Resolver/Errors/ResourceNotFoundException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ResourceNotFoundException] …\n"],["new","Aws::Route53Resolver::Errors::ResourceUnavailableException","Aws/Route53Resolver/Errors/ResourceUnavailableException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ResourceUnavailableException] …\n"],["new","Aws::Route53Resolver::Errors::ThrottlingException","Aws/Route53Resolver/Errors/ThrottlingException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ThrottlingException] …\n"],["new","Aws::Route53Resolver::Errors::UnknownResourceException","Aws/Route53Resolver/Errors/UnknownResourceException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::UnknownResourceException] …\n"],["new","Aws::Route53Resolver::Errors::ValidationException","Aws/Route53Resolver/Errors/ValidationException.html#method-c-new","(context, message, data = Aws::EmptyStructure.new)","<p>@param [Seahorse::Client::RequestContext] context @param [String] message @param [Aws::Route53Resolver::Types::ValidationException] …\n"],["new","Aws::Route53Resolver::Resource","Aws/Route53Resolver/Resource.html#method-c-new","(options = {})","<p>@param options ({}) @option options [Client] :client\n"],["put_firewall_rule_group_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-put_firewall_rule_group_policy","(params = {}, options = {})","<p>Attaches an Identity and Access Management (Amazon Web Services IAM) policy for sharing the rule group. …\n"],["put_resolver_query_log_config_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-put_resolver_query_log_config_policy","(params = {}, options = {})","<p>Specifies an Amazon Web Services account that you want to share a query logging configuration with, the …\n"],["put_resolver_rule_policy","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-put_resolver_rule_policy","(params = {}, options = {})","<p>Specifies an Amazon Web Services rule that you want to share with another account, the account that you …\n"],["resource_type","Aws::Route53Resolver::Errors::LimitExceededException","Aws/Route53Resolver/Errors/LimitExceededException.html#method-i-resource_type","()","<p>@return [String]\n"],["resource_type","Aws::Route53Resolver::Errors::ResourceExistsException","Aws/Route53Resolver/Errors/ResourceExistsException.html#method-i-resource_type","()","<p>@return [String]\n"],["resource_type","Aws::Route53Resolver::Errors::ResourceInUseException","Aws/Route53Resolver/Errors/ResourceInUseException.html#method-i-resource_type","()","<p>@return [String]\n"],["resource_type","Aws::Route53Resolver::Errors::ResourceNotFoundException","Aws/Route53Resolver/Errors/ResourceNotFoundException.html#method-i-resource_type","()","<p>@return [String]\n"],["resource_type","Aws::Route53Resolver::Errors::ResourceUnavailableException","Aws/Route53Resolver/Errors/ResourceUnavailableException.html#method-i-resource_type","()","<p>@return [String]\n"],["tag_resource","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-tag_resource","(params = {}, options = {})","<p>Adds one or more tags to a specified resource.\n<p>@option params [required, String] :resource_arn\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-constant\">Amazon</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["untag_resource","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-untag_resource","(params = {}, options = {})","<p>Removes one or more tags from a specified resource.\n<p>@option params [required, String] :resource_arn\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["update_firewall_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_firewall_config","(params = {}, options = {})","<p>Updates the configuration of the firewall behavior provided by DNS Firewall for a single VPC from Amazon …\n"],["update_firewall_domains","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_firewall_domains","(params = {}, options = {})","<p>Updates the firewall domain list from an array of domain specifications.\n<p>@option params [required, String] …\n"],["update_firewall_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_firewall_rule","(params = {}, options = {})","<p>Updates the specified firewall rule.\n<p>@option params [required, String] :firewall_rule_group_id\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">unique</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["update_firewall_rule_group_association","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_firewall_rule_group_association","(params = {}, options = {})","<p>Changes the association of a FirewallRuleGroup with a VPC. The association enables DNS filtering for …\n"],["update_resolver_dnssec_config","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_resolver_dnssec_config","(params = {}, options = {})","<p>Updates an existing DNSSEC validation configuration. If there is no existing DNSSEC validation configuration, …\n"],["update_resolver_endpoint","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_resolver_endpoint","(params = {}, options = {})","<p>Updates the name of an inbound or an outbound Resolver endpoint.\n<p>@option params [required, String] :resolver_endpoint_id …\n"],["update_resolver_rule","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-update_resolver_rule","(params = {}, options = {})","<p>Updates settings for a specified Resolver rule. `ResolverRuleId` is required, and all other parameters …\n"],["waiter_names","Aws::Route53Resolver::Client","Aws/Route53Resolver/Client.html#method-i-waiter_names","()","<p>@api private @deprecated\n"]]}}